Bug 486687

Summary: Review Request: chisholm-rubbing-fonts - Decorative Sans Serif Font
Product: [Fedora] Fedora Reporter: Jay Hankinson <jeremy.hankinson>
Component: Package ReviewAssignee: Jon Stanley <jonstanley>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, fonts-bugs, jonstanley, notting, paul
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-21 13:27:42 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    
Description Flags
Font config file for chisholm rubbing font
SPEC file for chisholm rubbing font none

Description Jay Hankinson 2009-02-20 19:50:33 EST
Spec URL: http://herlo.fedorapeople.org/rpms/rubbing-fonts.spec
SRPM URL: http://herlo.fedorapeople.org/rpms/chisholm-to-be-continued-fonts-20090124-1.fc10.src.rpm 
Description: Rubbing is a decorative sans-serif font
Comment 1 Jon Stanley 2009-02-20 20:33:25 EST
Review coming....
Comment 3 Jon Stanley 2009-02-20 21:08:38 EST
OK - Package meets naming and packaging guidelines
NO - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License
OK - License field in spec matches
Embedded in font - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
faf9b021e799e6eddd5e6c0b3089a3f0  ruf.upstream.zip
faf9b021e799e6eddd5e6c0b3089a3f0  ruf.zip
N/A - Package needs ExcludeArch
OK - BuildRequires correct
N/A - Spec handles locales/find_lang
N/A - Package is relocatable and has a reason to be.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK - Package is code or permissible content.
N/A - Doc subpackage needed/used.
N/A - Packages %doc files don't affect runtime.

N/A - Headers/static libs in -devel subpackage.
N/A - Spec has needed ldconfig in post and postun
N/A - .pc files in -devel subpackage/requires pkgconfig
N/A - .so files in -devel subpackage.
N/A - -devel package Requires: %{name} = %{version}-%{release}
N/A - .la files are removed.

N/A - Package is a GUI app and has a .desktop file

Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
SEE ABOVE - No rpmlint output.
$ rpmlint *
chisholm-rubbing-fonts.src: E: invalid-spec-name
1 packages and 1 specfiles checked; 1 errors, 0 warnings.

OK - final provides and requires are sane:


OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have sane scriptlets.
OK - Should have subpackages require base package with fully versioned depend.
OK - Should have dist tag
OK - Should package latest version
OK - check for outstanding bugs on package. (For core merge reviews)


1. Spec file name doesn't match the base package name - needs to be renamed
Comment 4 Jay Hankinson 2009-02-20 21:29:24 EST
Corrected spec file name. New spec file and SRPM uploaded.

Spec URL: http://herlo.fedorapeople.org/rpms/rubbing-fonts.spec
SRPM URL: http://herlo.fedorapeople.org/rpms/chisholm-rubbing-fonts-20090125-2.fc9.src.rpm
Comment 5 Jay Hankinson 2009-02-20 21:37:16 EST
Real Spec URL: http://herlo.fedorapeople.org/rpms/chisholm-rubbing-fonts.spec
Comment 6 Jon Stanley 2009-02-20 21:39:31 EST
Looks good to me, this package is APPROVED.
Comment 7 Nicolas Mailhot 2009-02-23 05:54:51 EST
Just a nitpicking

The font declares itself as "Rubbing Font". That's what fontconfig and apps will see, so that's also what you need to use in your fontconfig rules

(I agree the "Font" bit is quite silly and upstream would be well advised to drop it)

BTW, there are a few minor template changes in fontpackages-devel 1.20, but nothing dangerous and your current spec will also work fine.
Comment 8 Jon Stanley 2009-02-24 12:38:17 EST
Cool.  Jay, please apply for the 'packager' group in FAS and I'll sponsor you.

Thanks for everything, and it was great meeting you!
Comment 9 Jay Hankinson 2009-02-24 17:41:30 EST
Enjoyed meeting you all too. Very worth while afternoon.
What about the comments form Nicolas Mailhot? Presumably I need to re-do the fontconfig file?

Also forgive my ignorance but remind me what/where FAS is again?
Comment 10 Nicolas Mailhot 2009-03-21 07:27:41 EDT
(In reply to comment #9)
> Enjoyed meeting you all too. Very worth while afternoon.
> What about the comments form Nicolas Mailhot? Presumably I need to re-do the
> fontconfig file?

If you want it to actually do something, yet
> Also forgive my ignorance but remind me what/where FAS is again?  


(I apologize for the long time I spent not checking if this review progressed)
Comment 11 Jon Stanley 2009-03-27 08:19:21 EDT
And I'm very sorry for it being buried in a mess of bugzilla mail on my side, let me know if you need any help getting this into shape, I'm available for wahtever help you might need.
Comment 12 Jay Hankinson 2009-03-27 19:16:08 EDT
I've been pretty much swamped myself so no biggie. I've updated the font config and spec files and rebuilt the SRPM to include the changes but I don't have anywhere to upload the files to for review (someone did this for me on the day). Can I e-mail them to one of you to upload?
Comment 13 Nicolas Mailhot 2009-03-28 09:50:15 EDT
You can always attach the text files (not the full srpm) to this bug.

Otherwise if you've completed FAS you probably have a fedorapeople hosting space (or can ask for one on #fedora-admin)
Comment 14 Jon Stanley 2009-03-29 03:34:22 EDT
I had sent Jay an email on an acct that I had setup for him.  You can't get fedorapeople until you're in CLA+1, right now he's CLA only :/
Comment 16 Nicolas Mailhot 2010-02-22 13:02:00 EST
@jay: this package has been approved a long time ago, do you still need help to push it fedora-side?
Comment 17 Jay Hankinson 2010-02-22 20:32:08 EST
Created attachment 395620 [details]
Font config file for chisholm rubbing font
Comment 18 Jay Hankinson 2010-02-22 20:32:54 EST
Created attachment 395621 [details]
SPEC file for chisholm rubbing font
Comment 19 Jay Hankinson 2010-02-22 20:34:46 EST
Wow! Apologies, really thought I'd finished this up at the time. I've attached the font config and spec files and the SRPM is available here: http://i.am.jds2001.org/~ukjay/chisholm-rubbing-fonts-20090125-3.fc9.src.rpm

Is that all you need?
Comment 20 Paul Flo Williams 2011-05-30 16:36:53 EDT
Jay, are you still around? This package was approved over two years ago, and still hasn't been built for Fedora.

Please take a look at this page:


Your sponsor can help if you are unsure how to import your srpm into Fedora git.
Comment 21 Paul Flo Williams 2011-06-21 13:27:42 EDT

Closing as submitter has left, even though package is approved.

Note for anyone else wanting to pick this up: fontlint shows that Rubbing Font has a number of problems that cause it to not work well in Inkscape or Fontmatrix, so you might be dealing with bug reports very soon after release.